package com.ruoyi.syzy.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.syzy.domain.BBusiWishScoreGroups;
import org.apache.ibatis.annotations.Param;

/**
 * 一分一段Service接口
 *
 * @author mingxue
 * @date 2021-08-19
 */
public interface IBBusiWishScoreGroupsService {
    public List<BBusiWishScoreGroups> selectBusiWishScoreGroupsByScore(Map cond);

    /**
     * 地域
     *
     * @return
     */
    public List<String> locations();

    /**
     * 录取年份
     *
     * @param location
     * @return
     */
    public List<Integer> years(String location);
    public List<Integer> yearsNoStatus(String location);
    public Integer selectBBusiWishScoreGroupsByLocation(String location, String examMajor);

    /**
     * 科类
     *
     * @param location
     * @param year
     * @return
     */
    public List<String> modes(String location, String year);
    public List<BBusiWishScoreGroups> modesNoStatus(String location, String year);

    /**
     * 查询一分一段
     *
     * @param id 一分一段ID
     * @return 一分一段
     */
    public BBusiWishScoreGroups selectBBusiWishScoreGroupsById(Long id);

    /**
     * 查询一分一段列表
     *
     * @param bBusiWishScoreGroups 一分一段
     * @return 一分一段集合
     */
    public List<BBusiWishScoreGroups> selectBBusiWishScoreGroupsList(BBusiWishScoreGroups bBusiWishScoreGroups);

    /**
     * 新增一分一段
     *
     * @param bBusiWishScoreGroups 一分一段
     * @return 结果
     */
    public int insertBBusiWishScoreGroups(BBusiWishScoreGroups bBusiWishScoreGroups);

    /**
     * 修改一分一段
     *
     * @param bBusiWishScoreGroups 一分一段
     * @return 结果
     */
    public int updateBBusiWishScoreGroups(BBusiWishScoreGroups bBusiWishScoreGroups);

    /**
     * 批量删除一分一段
     *
     * @param ids 需要删除的一分一段ID
     * @return 结果
     */
    public int deleteBBusiWishScoreGroupsByIds(Long[] ids);

    /**
     * 删除一分一段信息
     *
     * @param id 一分一段ID
     * @return 结果
     */
    public int deleteBBusiWishScoreGroupsById(Long id);

}
